Bug 62924 - ports update (net/delegate)
ports update (net/delegate)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 19:10 UTC by ta.nakamura
Modified: 2004-02-21 15:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ta.nakamura 2004-02-16 19:10:13 UTC
	ports update net/delegate

Fix: http://www.delegate.org/mail-lists/delegate-en/702
http://www.delegate.org/mail-lists/delegate-en/703
Does other exploits remain?
I ll remove the WARNING.


Yutaka Sato wrote (29 Feb 2000)
http://www.delegate.org/mail-lists/delegate/9117 (In Japanese)
%  "The problem currently written to Bugtraq was corrected in
%  November, last year"

Bugtraq
 http://archives.neohapsis.com/archives/freebsd/2000-02/0099.html

UpdateLog
 http://www.delegate.org/mail-lists/delegate-en/641
%  + security: fixed some of possible buffer overflows
 http://www.delegate.org/mail-lists/delegate-en/638
%  + security: fixed some of dangerous buffer overflows





----+----1----+----2----+----3----+----4----+----5----+----6----+----7----+--bsrbL8ADJ6sCPpj23z2EL8OWwnSWsMad9SRFjMp3v1N9Ozg7
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /export/cvs/FreeBSD/ncvs/ports/net/delegate/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- Makefile	9 Dec 2003 12:23:01 -0000	1.43
+++ Makefile	12 Feb 2004 03:29:39 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	delegate
-PORTVERSION=	8.7.8
+PORTVERSION=	8.9.1
 CATEGORIES=	net www
 MASTER_SITES=	ftp://www.delegate.org/pub/DeleGate/ \
 		ftp://ftp.delegate.org/pub/DeleGate/
@@ -15,33 +15,8 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	General purpose TCP/IP proxy system
 
-NO_PACKAGE=	"Insecure program."
+USE_BZIP2=      yes
 IS_INTERACTIVE=	YES
-
-pre-everything::
-.if !defined(FORCE_BUILD) || ${FORCE_BUILD}!="YES"
-	@${ECHO_MSG} "*********************************************************************"
-	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
-	@${ECHO_MSG} "* This program has known security problems which may allow a remote *"
-	@${ECHO_MSG} "* attacker to take control of your machine.                         *"
-	@${ECHO_MSG} "* See FreeBSD security advisory 00:04 for more information.         *"
-	@${ECHO_MSG} "*                                                                   *"
-	@${ECHO_MSG} "* It is strongly recommended that you avoid using this program.     *"
-	@${ECHO_MSG} "*                                                                   *"
-	@${ECHO_MSG} "* If you would like to use this program despite the danger, run     *"
-	@${ECHO_MSG} "* make with \`\`FORCE_BUILD=YES''                                     *"
-	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
-	@${ECHO_MSG} "*********************************************************************"
-	@${FALSE}
-.else
-	@${ECHO_MSG} "*********************************************************************"
-	@${ECHO_MSG} "*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *"
-	@${ECHO_MSG} "* You have chosen to build an insecure program.                     *"
-	@${ECHO_MSG} "* This program has known security problems which may allow a remote *"
-	@${ECHO_MSG} "* attacker to take control of your machine.                         *"
-	@${ECHO_MSG} "* See FreeBSD security advisory 00:04 for more information.         *"
-	@${ECHO_MSG} "*********************************************************************"
-.endif
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/src/delegated ${PREFIX}/sbin
Index: distinfo
===================================================================
RCS file: /export/cvs/FreeBSD/ncvs/ports/net/delegate/distinfo,v
retrieving revision 1.32
diff -u -r1.32 distinfo
--- distinfo	9 Dec 2003 12:23:01 -0000	1.32
+++ distinfo	12 Feb 2004 03:30:11 -0000
@@ -1 +1,2 @@
-MD5 (delegate8.7.8.tar.gz) = a151b22ed1b59b3fff197055b90f0d2d
+MD5 (delegate8.9.1.tar.bz2) = 1ea9c8cc6e6ca23affded6968017c48b
+SIZE (delegate8.9.1.tar.bz2) = 961779
Index: pkg-message
===================================================================
RCS file: /export/cvs/FreeBSD/ncvs/ports/net/delegate/pkg-message,v
retrieving revision 1.6
diff -u -r1.6 pkg-message
--- pkg-message	27 Jul 2002 19:48:31 -0000	1.6
+++ pkg-message	12 Feb 2004 03:22:03 -0000
@@ -1,12 +1,3 @@
-*********************************************************************
-*   WARNING!     WARNING!     WARNING!     WARNING!     WARNING!    *
-* You have installed an insecure program.                           *
-* This program has known security problems which may allow a remote  *
-* attacker to take control of your machine.                         *
-* Use with great caution!                                           *
-* See FreeBSD security advisory 00:04 for more information.         *
-*********************************************************************
-
 ----------------------------------------------------------------------
 Now, edit the sample script in /usr/local/share/examples/delegate directory
 and copy it into /usr/local/etc/rc.d.
Comment 1 clement freebsd_committer 2004-02-21 15:36:34 UTC
State Changed
From-To: open->closed

Committed, thanks!